## org.apache.commons.configuration
Class ConfigurationMap.ConfigurationSet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet
              org.apache.commons.configuration.ConfigurationMap.ConfigurationSet

All Implemented Interfaces:
  Iterable, Collection, Set

Enclosing class:
  ConfigurationMap

    static class ConfigurationMap.ConfigurationSet

extends AbstractSet

Set of entries in the map.

Constructor Summary
`ConfigurationMap.ConfigurationSet(Configuration configuration)`

Method Summary
`Iterator` `iterator()`
`int` `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Constructor Detail

### ConfigurationMap.ConfigurationSet

    ConfigurationMap.ConfigurationSet(Configuration configuration)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `Set`
  Specified by:
    `size` in class `AbstractCollection`
  See Also:
    `Collection.size()`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `Set`
  Specified by:
    `iterator` in class `AbstractCollection`
  See Also:
    `Collection.iterator()`

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.